Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QTimeLine.CurveShape

    java.lang.Object
      java.lang.Enum<QTimeLine.CurveShape>
          com.trolltech.qt.core.QTimeLine.CurveShape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QTimeLine.CurveShape>

Enclosing class:
  QTimeLine

    public static enum QTimeLine.CurveShape

extends java.lang.Enum<QTimeLine.CurveShape>
implements QtEnumerator

This enum describes the default shape of `QTimeLine`'s value curve. The default, shape is `EaseInOutCurve`. The curve defines the relation between the value and the timeline.

See Also:
  `setCurveShape`

Enum Constant Summary
`EaseInCurve` The value starts growing slowly, then increases in speed.
`EaseInOutCurve` The value starts growing slowly, the runs steadily, then grows slowly again.
`EaseOutCurve` The value starts growing steadily, then ends slowly.
`LinearCurve` The value grows linearly (e.g., if the duration is 1000 ms, the value at time 500 ms is 0.5).
`SineCurve` The value grows sinusoidally.

Method Summary
`static QTimeLine.CurveShape` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QTimeLine.CurveShape` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QTimeLine.CurveShape[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EaseInCurve

    public static final QTimeLine.CurveShape EaseInCurve

  The value starts growing slowly, then increases in speed.

### EaseOutCurve

    public static final QTimeLine.CurveShape EaseOutCurve

  The value starts growing steadily, then ends slowly.

### EaseInOutCurve

    public static final QTimeLine.CurveShape EaseInOutCurve

  The value starts growing slowly, the runs steadily, then grows slowly again.

### LinearCurve

    public static final QTimeLine.CurveShape LinearCurve

  The value grows linearly (e.g., if the duration is 1000 ms, the value at time 500 ms is 0.5).

### SineCurve

    public static final QTimeLine.CurveShape SineCurve

  The value grows sinusoidally.

Method Detail

### values

    public static final QTimeLine.CurveShape[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QTimeLine.CurveShape c : QTimeLine.CurveShape.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QTimeLine.CurveShape valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QTimeLine.CurveShape resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD